libstdc++: unicode.h File Reference

libstdc++

unicode.h File Reference

Go to the source code of this file.

## Namespaces
namespace | std

## Macros
#define | _GLIBCXX_GET_UNICODE_DATA

## Typedefs
template<typename _View>
using | std::__unicode::_Utf16_view
template<typename _View>
using | std::__unicode::_Utf32_view
template<typename _View>
using | std::__unicode::_Utf8_view

## Enumerations
enum class | _Gcb_property { _Gcb_Other , _Gcb_Control , _Gcb_LF , _Gcb_CR , _Gcb_Extend , _Gcb_Prepend , _Gcb_SpacingMark , _Gcb_L , _Gcb_V , _Gcb_T , _Gcb_ZWJ , _Gcb_LV , _Gcb_LVT , _Gcb_Regional_Indicator }
enum class | _InCB { _Consonant , _Extend }

## Functions
constexpr bool | std::__unicode::__charset_alias_match (string_view __a, string_view __b)
template<typename _CharT>
constexpr size_t | std::__unicode::__field_width (basic_string_view< _CharT > __s)
constexpr int | std::__unicode::__field_width (char32_t __c) noexcept
constexpr _Gcb_property | std::__unicode::__grapheme_cluster_break_property (char32_t __c) noexcept
constexpr _InCB | std::__unicode::__incb_property (char32_t __c) noexcept
constexpr bool | std::__unicode::__is_extended_pictographic (char32_t __c)
constexpr bool | std::__unicode::__is_incb_linker (char32_t __c) noexcept
constexpr bool | std::__unicode::__is_scalar_value (char32_t __c)
template<typename _CharT>
constexpr bool | std::__unicode::__is_single_code_unit (char32_t __c)
consteval bool | std::__unicode::__literal_encoding_is_extended_ascii ()
template<typename _CharT>
consteval bool | std::__unicode::__literal_encoding_is_unicode ()
consteval bool | std::__unicode::__literal_encoding_is_utf8 ()
constexpr bool | std::__unicode::__should_escape_category (char32_t __c) noexcept
template<typename _CharT>
constexpr size_t | std::__unicode::__truncate (basic_string_view< _CharT > &__s, size_t __max)

## Variables
constexpr uint32_t | std::__unicode::__escape_edges []
constexpr uint32_t | std::__unicode::__gcb_edges []
constexpr int | std::__unicode::__gcb_shift_bits
constexpr uint32_t | std::__unicode::__incb_edges []
constexpr char32_t | std::__unicode::__incb_linkers []
constexpr char32_t | std::__unicode::__width_edges []
constexpr char32_t | std::__unicode::__xpicto_edges []
template<typename _Range>
constexpr bool | std::ranges::enable_borrowed_range< std::__unicode::_Grapheme_cluster_view< _Range > >
template<typename _To, typename _Range>
constexpr bool | std::ranges::enable_borrowed_range< std::__unicode::_Utf_view< _To, _Range > >

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <format>.

Definition in file unicode.h.

## Macro Definition Documentation

## ◆ _GLIBCXX_GET_UNICODE_DATA

#define _GLIBCXX_GET_UNICODE_DATA

Definition at line 758 of file unicode.h.

## Typedef Documentation

## ◆ _Utf16_view

template<typename _View>

using std::__unicode::_Utf16_view

Definition at line 752 of file unicode.h.

## ◆ _Utf32_view

template<typename _View>

using std::__unicode::_Utf32_view

Definition at line 754 of file unicode.h.

## ◆ _Utf8_view

template<typename _View>

using std::__unicode::_Utf8_view

Definition at line 749 of file unicode.h.

## Enumeration Type Documentation

## ◆ _Gcb_property

enum class std::__unicode::__v16_0_0::_Gcb_property
| strong

Definition at line 322 of file unicode.h.

## ◆ _InCB

enum class std::__unicode::__v16_0_0::_InCB
| strong

Definition at line 639 of file unicode.h.

## Function Documentation

## ◆ __charset_alias_match()

bool std::__unicode::__charset_alias_match | ( | string_view | __a,
|  | string_view | __b )
| constexpr

Definition at line 1253 of file unicode.h.

## ◆ __field_width() [1/2]

template<typename _CharT>

size_t std::__unicode::__field_width | ( | basic_string_view< _CharT > | __s | ) |
| constexpr

Definition at line 1126 of file unicode.h.

## ◆ __field_width() [2/2]

int std::__unicode::__v16_0_0::__field_width | ( | char32_t | __c | ) |
| constexprnoexcept

Definition at line 766 of file unicode.h.

## ◆ __grapheme_cluster_break_property()

_Gcb_property std::__unicode::__v16_0_0::__grapheme_cluster_break_property | ( | char32_t | __c | ) |
| constexprnoexcept

Definition at line 789 of file unicode.h.

## ◆ __incb_property()

_InCB std::__unicode::__v16_0_0::__incb_property | ( | char32_t | __c | ) |
| constexprnoexcept

Definition at line 808 of file unicode.h.

## ◆ __is_extended_pictographic()

bool std::__unicode::__v16_0_0::__is_extended_pictographic | ( | char32_t | __c | ) |
| constexpr

Definition at line 820 of file unicode.h.

## ◆ __is_incb_linker()

bool std::__unicode::__v16_0_0::__is_incb_linker | ( | char32_t | __c | ) |
| constexprnoexcept

Definition at line 799 of file unicode.h.

## ◆ __is_scalar_value()

bool std::__unicode::__is_scalar_value | ( | char32_t | __c | ) |
| constexpr

Definition at line 51 of file unicode.h.

## ◆ __is_single_code_unit()

template<typename _CharT>

bool std::__unicode::__is_single_code_unit | ( | char32_t | __c | ) |
| constexpr

Definition at line 61 of file unicode.h.

## ◆ __literal_encoding_is_extended_ascii()

bool std::__unicode::__literal_encoding_is_extended_ascii | ( |  | ) |
| consteval

Definition at line 1245 of file unicode.h.

## ◆ __literal_encoding_is_unicode()

template<typename _CharT>

bool std::__unicode::__literal_encoding_is_unicode | ( |  | ) |
| consteval

Definition at line 1172 of file unicode.h.

## ◆ __literal_encoding_is_utf8()

bool std::__unicode::__literal_encoding_is_utf8 | ( |  | ) |
| consteval

Definition at line 1241 of file unicode.h.

## ◆ __should_escape_category()

bool std::__unicode::__v16_0_0::__should_escape_category | ( | char32_t | __c | ) |
| constexprnoexcept

Definition at line 777 of file unicode.h.

## ◆ __truncate()

template<typename _CharT>

size_t std::__unicode::__truncate | ( | basic_string_view< _CharT > & | __s,
|  | size_t | __max )
| constexpr

Definition at line 1143 of file unicode.h.

## Variable Documentation

## ◆ __escape_edges

uint32_t std::__unicode::__v16_0_0::__escape_edges[]
| inlineconstexpr

Definition at line 71 of file unicode.h.

## ◆ __gcb_edges

uint32_t std::__unicode::__v16_0_0::__gcb_edges[]
| inlineconstexpr

Definition at line 343 of file unicode.h.

## ◆ __gcb_shift_bits

int std::__unicode::__v16_0_0::__gcb_shift_bits
| inlineconstexpr

Definition at line 342 of file unicode.h.

## ◆ __incb_edges

uint32_t std::__unicode::__v16_0_0::__incb_edges[]
| inlineconstexpr

Definition at line 644 of file unicode.h.

## ◆ __incb_linkers

char32_t std::__unicode::__v16_0_0::__incb_linkers[]
| inlineconstexpr

Definition at line 635 of file unicode.h.

## ◆ __width_edges

char32_t std::__unicode::__v16_0_0::__width_edges[]
| inlineconstexpr

Definition at line 39 of file unicode.h.

## ◆ __xpicto_edges

char32_t std::__unicode::__v16_0_0::__xpicto_edges[]
| inlineconstexpr

Definition at line 796 of file unicode.h.

## ◆ enable_borrowed_range< std::__unicode::_Grapheme_cluster_view< _Range > >

template<typename _Range>

bool std::ranges::enable_borrowed_range< std::__unicode::_Grapheme_cluster_view< _Range > >
| inlineconstexpr

Definition at line 1301 of file unicode.h.

## ◆ enable_borrowed_range< std::__unicode::_Utf_view< _To, _Range > >

template<typename _To, typename _Range>

bool std::ranges::enable_borrowed_range< std::__unicode::_Utf_view< _To, _Range > >
| inlineconstexpr

Definition at line 1296 of file unicode.h.